{"openapi":"3.0.0","info":{"title":"99esim API Documentation","version":"1.0.0","description":"Documentation for 99esim API"},"servers":[{"url":"https://prodapi.99esim.com/api/ninenine-esim-api/reseller"}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"security":[{"bearerAuth":[]}],"paths":{"/auth/portal/login":{"post":{"summary":"Login","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"taulantpallqa@99esim.com"},"password":{"type":"string","example":"99emratA."}}}}}},"responses":{"200":{"description":"Successful login"},"401":{"description":"Unauthorized"}}}},"/reseller-profile":{"get":{"summary":"Get reseller profile","responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthorized"}}}},"/packages":{"get":{"summary":"Get all packages","responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthorized"}}}},"/subscribers":{"get":{"summary":"Get all subscribers","responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthorized"}}}},"/reseller-orders":{"get":{"summary":"Get all reseller orders","responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthorized"}}}},"/subscriber-orders":{"post":{"summary":"Get subscriber with orders","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"subscriber_id":{"type":"string","example":"1"},"shop_id":{"type":"string","example":"4"}}}}}},"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthorized"}}}},"/subscriber-active-packages":{"post":{"summary":"Get subscriber with active packages","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"subscriber_id":{"type":"string","example":"1"},"shop_id":{"type":"string","example":"4"}}}}}},"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthorized"}}}}}}